## libsharedmem 0.1.0-4

=== SConstruct ===
defs = '-D_REENTRANT -D_THREAD_SAFE'
build_flags = defs + ' -Wall -Werror -O2 -fPIC -DPIC'
test_flags = defs + ' -Wall -Werror'

destdir = ARGUMENTS.get('destdir', '')

env = Environment(DESTDIR = destdir)

base_libs = ['pthread', 'rt']
test_libs = ['sharedmem'] + base_libs

lib_srcs = ['sharedmem.c', 'shmalloc.c']

shm_header = ['sharedmem.h', 'shm_config.h', 'shmalloc.h']
shm_static = env.StaticLibrary('sharedmem', lib_srcs, CCFLAGS=build_flags)
shm_shared = env.SharedLibrary('sharedmem', lib_srcs, CCFLAGS=build_flags)

'''Program('test', 'test.c', LIBS=test_libs, LIBPATH='.', CCFLAGS=test_flags)'''
Program('test2', 'test2.c', LIBS=test_libs, LIBPATH='.', CCFLAGS=test_flags)
Program('test3', 'test3.c', LIBS=test_libs, LIBPATH='.', CCFLAGS=test_flags)
Program('test4', 'test4.c', LIBS=test_libs, LIBPATH='.', CCFLAGS=test_flags)

SourceSignatures('timestamp')

env.Install(env['DESTDIR'] + '/usr/include', shm_header)
env.Install(env['DESTDIR'] + '/usr/lib', [shm_static, shm_shared])
env.Alias('install', [env['DESTDIR'] + '/usr/include', env['DESTDIR'] + '/usr/lib'])

=== debian/changelog ===
libsharedmem (0.1.0-4) unstable; urgency=low

  * libsharedmem1-dev binary package conflicts libsharedmem0-dev

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Tue,  2 Oct 2007 16:00:19 +0300

libsharedmem (0.1.0-3) unstable; urgency=low

  * added -doc package

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Fri, 14 Sep 2007 16:31:30 +0300

libsharedmem (0.1.0-2) unstable; urgency=low

  * package with debug symbols added

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Wed, 22 Aug 2007 16:54:40 +0300

libsharedmem (0.1.0-1) unstable; urgency=low

  * Stripped off the ancient compatibility parts

 -- Jussi Laako <jussi.laako@nokia.com>  Wed, 15 Aug 2007 15:08:16 +0300

libsharedmem (0.0.4-2) unstable; urgency=low

  * New release

 -- Jussi Laako <jussi.laako@nokia.com>  Mon, 25 Jun 2007 16:37:32 +0300

libsharedmem (0.0.4-1) unstable; urgency=low

  * Fix some bugs in error handling

 -- Jussi Laako <jussi.laako@nokia.com>  Fri,  8 Jun 2007 17:29:34 +0300

libsharedmem (0.0.3-1) unstable; urgency=low

  * build system switched to autotools

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Thu,  7 Jun 2007 19:52:49 +0300

libsharedmem (0.0.2-1) unstable; urgency=low

  * Initial release

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Tue, 05 Jun 2007 15:45:20 +0300

=== debian/control ===
Source: libsharedmem
Priority: optional
Maintainer: Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>
Build-Depends: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.6.0

Package: libsharedmem1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared memory library
 Shared memory library

Package: libsharedmem1-dev
Section: libdevel
Architecture: any
Depends: libsharedmem1  (= ${Source-Version})
Conflicts: libsharedmem0-dev
Description: Shared memory library. Development files
 Shared memory library. Development files

Package: libsharedmem1-dbg
Section: libdevel
Architecture: any
Depends: libsharedmem1  (= ${Source-Version})
Description: Shared memory library. Debug symbols
 Shared memory library. Debug symbols

Package: libsharedmem-doc
Section: libdevel
Architecture: any
Depends: libsharedmem1  (= ${Source-Version})
Description: Shared memory library. Reference.
 Shared memory library.
 .
 This package contains the library reference.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_SOURCEDIR=debian/tmp
DEB_DESTDIR=$(CURDIR)/debian/tmp

DEB_DH_STRIP_ARGS=--dbg-package=libsharedmem1
DEB_INSTALL_DOCS_libsharedmem-doc := html


debian/stamp-autotools-files:
	autoreconf -i
	touch debian/stamp-autotools-files
